ThinkPHP 完善 5.* 版本对 Composer2 的支持

2020年10月28日

6.0版本改进了Composer2.0的兼容支持之后,官方也对5.*版本做了兼容更新。主要是升级了topthink/think-installer库,由于5.*版本并非强依赖Composer,所以相关操作是通过think-installer库完成的,最新版本的composer由于API的变化导致think-installer库需要更新兼容。

需要注意的是,更新后核心框架的版本并不会变化。

现在可以愉快的使用composer updatecomposer create-project命令操作了。自此,官方已经完成了全版本对Composer2的支持工作。

composer update

composer create-project

如果你有基于ThinkPHP开发的产品或服务,欢迎入驻官方市场一起参与此次双十一大促。

展开阅读全文
0 收藏
分享
加载中
最新评论 (1)
php7.4 安装有问题
之前安装好的更新没问题
2020-10-28 17:29
0
回复
举报
更多评论
1 评论
0 收藏
分享
返回顶部
顶部